v 14.0 Third Party 3700
Download for v 14.0 Deploy on Odoo.sh
Required Apps Time Off (hr_holidays)
Employees (hr)
Included Dependencies
Lines of code 2585
Technical Name hr_payroll_community
LicenseAGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 13.0 v 15.0
You bought this module and need support? Click here!
Required Apps Time Off (hr_holidays)
Employees (hr)
Included Dependencies
Lines of code 2585
Technical Name hr_payroll_community
LicenseAGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 13.0 v 15.0

Odoo 14 Payroll

Managing employee salary in your organization

Overview

Payroll management revolves in and around the management of employee salary in an organization. The management includes timely issuance of salary, employee benefits/ allowances, deducting employee loan amount and so on.

Features

Salary Rules

Configuring Salary Rules

Salary Structure

Configuring Salary Structure

Employee Pay Slips

Manage Employee Pay Slips

Screenshots

Salary Rule Categories

Salary Rules

Salary Structures

Employee Payslips

Suggested Products


Our Services


Odoo Customization
Odoo Implementation
Odoo Support
Hire Odoo Developer
Odoo Integration
Odoo Migration
Odoo Consultancy
Odoo Implementation
Odoo Licensing Consultancy

Our Industries


Trading

Easily procure and sell your products

POS

Easy configuration and convivial experience

Education

A platform for educational management

Manufacturing

Plan, track and schedule your operations

E-commerce & Website

Mobile friendly, awe-inspiring product pages

Service Management

Keep track of services and invoice

Restaurant

Run your bar or restaurant methodically

Hotel Management

An all-inclusive hotel management application

Need Help?



Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
Payrol module, Employee Payslip
by
B Praveen Reddy
on 12/7/21, 12:40 PM

Dear Cybrosys,


Thank you for payroll module,

i am facing issue in payrol module, like in payroll employee payslip creation

work days & inputs - works rows are not updating from leaves and time sheet entry

inputs - input rows are getting update,

can advice for resolving the issue, thanks in advance


Error when try to install this module
by
alexander chevka
on 10/27/21, 5:51 AM

The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 639, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 315, in _handle_exception

    raise exception.with_traceback(None) from new_cause

odoo.tools.convert.ParseError: while parsing /usr/lib/python3/dist-packages/odoo/addons/hr_payroll_community/data/hr_payroll_data.xml:180, near

<record forcecreate="True" id="decimal_payroll" model="decimal.precision">

            <field name="name">Payroll</field>

            <field name="digits">2</field>

        </record>


Please Help with this error
by
Rami Ahmad
on 9/13/21, 5:08 PM

The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "C:\inetpub\ARCOM\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "C:\inetpub\ARCOM\server\odoo\http.py", line 684, in dispatch

    result = self._call_function(**self.params)

  File "C:\inetpub\ARCOM\server\odoo\http.py", line 360, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "C:\inetpub\ARCOM\server\odoo\service\model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "C:\inetpub\ARCOM\server\odoo\http.py", line 348, in checked_call

    result = self.endpoint(*a, **kw)

  File "C:\inetpub\ARCOM\server\odoo\http.py", line 913, in __call__

    return self.method(*args, **kw)

  File "C:\inetpub\ARCOM\server\odoo\http.py", line 532, in response_wrap

    response = f(*args, **kw)

  File "C:\inetpub\ARCOM\server\odoo\addons\web\controllers\main.py", line 1393, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "C:\inetpub\ARCOM\server\odoo\addons\web\controllers\main.py", line 1381, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "C:\inetpub\ARCOM\server\odoo\api.py", line 396, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "C:\inetpub\ARCOM\server\odoo\api.py", line 383, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-71>", line 2, in button_immediate_install

  File "C:\inetpub\ARCOM\server\odoo\addons\base\models\ir_module.py", line 74, in check_and_log

    return method(self, *args, **kwargs)

  File "C:\inetpub\ARCOM\server\odoo\addons\base\models\ir_module.py", line 475, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "C:\inetpub\ARCOM\server\odoo\addons\base\models\ir_module.py", line 593, in _button_immediate_function

    modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "C:\inetpub\ARCOM\server\odoo\modules\registry.py", line 89, in new

    odoo.modules.load_modules(registry._db, force_demo, status, update_module)

  File "C:\inetpub\ARCOM\server\odoo\modules\loading.py", line 460, in load_modules

    loaded_modules, update_module, models_to_check)

  File "C:\inetpub\ARCOM\server\odoo\modules\loading.py", line 348, in load_marked_modules

    perform_checks=perform_checks, models_to_check=models_to_check

  File "C:\inetpub\ARCOM\server\odoo\modules\loading.py", line 221, in load_module_graph

    load_data(cr, idref, mode, kind='data', package=package)

  File "C:\inetpub\ARCOM\server\odoo\modules\loading.py", line 69, in load_data

    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind)

  File "C:\inetpub\ARCOM\server\odoo\tools\convert.py", line 733, in convert_file

    convert_xml_import(cr, module, fp, idref, mode, noupdate)

  File "C:\inetpub\ARCOM\server\odoo\tools\convert.py", line 799, in convert_xml_import

    obj.parse(doc.getroot())

  File "C:\inetpub\ARCOM\server\odoo\tools\convert.py", line 719, in parse

    self._tag_root(de)

  File "C:\inetpub\ARCOM\server\odoo\tools\convert.py", line 677, in _tag_root

    f(rec)

  File "C:\inetpub\ARCOM\server\odoo\tools\convert.py", line 685, in _tag_root

    )) from e

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "C:\inetpub\ARCOM\server\odoo\http.py", line 640, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "C:\inetpub\ARCOM\server\odoo\http.py", line 316, in _handle_exception

    raise exception.with_traceback(None) from new_cause

odoo.tools.convert.ParseError: while parsing file:/c:/users/administrator/appdata/local/openerp s.a/odoo/addons/14.0/hr_payroll_community/data/hr_payroll_data.xml:180, near

<record forcecreate="True" id="decimal_payroll" model="decimal.precision">

            <field name="name">Payroll</field>

            <field name="digits">2</field>

        </record>

Re: Please Help with this error
by
Cybrosys Technologies
on 9/13/21, 11:40 PM Author

Hi, Can you share when you faced this error?
it will help us to find the cause of the issue.
you can send an email to odoo@cybrosys.com


Generates traceback errors when attempting to install
by
Jeremy
on 9/6/21, 5:32 PM

I've been trying to test this module out but it generates this error preventing me from being able to test it. Any help to resolve this error is appreciated. It appears there is a missing XML ID somewhere.



Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/http.py", line 640, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/odoo/odoo-server/odoo/http.py", line 316, in _handle_exception
    raise exception.with_traceback(None) from new_cause
odoo.tools.convert.ParseError: while parsing /odoo/odoo-server/addons/hr_payroll_community/views/res_config_settings_views.xml:3, near
<record id="open_payroll_modules" model="ir.actions.act_window">
            <field name="name">Payroll</field>
            <field name="res_model">ir.module.module</field>
            <field name="view_mode">kanban,tree,form</field>
            <field name="context" eval="{'search_default_category_id': ref('base.module_category_localization'), 'search_default_name': 'Payroll'}"/>
            <field name="search_view_id" ref="base.view_module_filter"/>
        </record>


Help! . gives error when installing
by
Isaac Turcios
on 1/20/21, 4:12 PM
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/opt/Moly/master/odoo/odoo/http.py", line 639, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/opt/Moly/master/odoo/odoo/http.py", line 315, in _handle_exception
    raise exception.with_traceback(None) from new_cause
AttributeError: 'ValidationError' object has no attribute 'context'